
#include <Wire.h>
#include "CCS811.h"

// ピン番号 (standard pinout)
#define PIN_LED1 0
#define PIN_LED2 21
#define PIN_LED3 22
#define PIN_LED4 23
#define PIN_SW2 2
#define PIN_SW31 18
#define PIN_SW32 19
#define PIN_SW33 20
#define PIN_SDCD 14
#define PIN_SDCS 4
#define PIN_RTCINT 11
#define PIN_BNORST 3
#define PIN_BNOINT 10
#define PIN_BNOBOOT 1
#define PIN_CCSWAKE 12
#define PIN_CCSRST 13

CCS811 ccs811;

void setup() {
  Serial.begin(57600);
  while(!Serial){
    delay(1);
  }

  // ピン初期設定
  pinMode(PIN_LED1, OUTPUT);
  pinMode(PIN_LED2, OUTPUT);
  pinMode(PIN_LED3, OUTPUT);
  pinMode(PIN_LED4, OUTPUT);
  pinMode(PIN_SW2, INPUT_PULLUP);
  pinMode(PIN_SW31, INPUT_PULLUP);
  pinMode(PIN_SW32, INPUT_PULLUP);
  pinMode(PIN_SW33, INPUT_PULLUP);
  pinMode(PIN_SDCD, INPUT_PULLUP);
  digitalWrite(PIN_SDCS, HIGH);
  pinMode(PIN_SDCS, OUTPUT);
  digitalWrite(PIN_BNORST, HIGH);
  pinMode(PIN_BNORST, OUTPUT);
  digitalWrite(PIN_BNOBOOT, HIGH);
  pinMode(PIN_BNOBOOT, OUTPUT);
  digitalWrite(PIN_CCSWAKE, HIGH);
  pinMode(PIN_CCSWAKE, OUTPUT);
  digitalWrite(PIN_CCSRST, HIGH);
  pinMode(PIN_CCSRST, OUTPUT);

  Serial.print(F("\n\n-----------------------\n"));
  Serial.print(F("Program start\n"));

  // CCS811 リセット
  digitalWrite(PIN_CCSRST, LOW);
  delay(1);
  digitalWrite(PIN_CCSRST, HIGH);
  delay(1);

  // CCS811初期設定
  digitalWrite(PIN_CCSWAKE, LOW);
  delay(1000);
  if(!ccs811.begin(0x5A)){
    // 失敗した場合
    Serial.print(F(" CCS811 Initialization failure\n"));
    digitalWrite(PIN_LED3, HIGH);
    while(1){
      delay(1000);
    }
  }

  // CCS811ドライブモード設定
  if(0==ccs811.getDriveMode()){
    ccs811.setDriveMode(1);
  }
  delay(1000);

  // 結果のヘッダー部を表示
  Serial.println(F("TVOC[ppb]"));

}


void loop() {
  ccs811.getALGResult();    // 測定結果取得
  Serial.print(String(ccs811.TVOC) + "\n");
  delay(1000);
}
